Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Interface BeanCacheMonitorMBean

All Known Implementing Classes:
  BeanCacheMonitor

public interface BeanCacheMonitorMBean

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `Monitorable`

Method Summary
`BeanCacheSnapshot[]` | `getSnapshots()` Returns the cache data at the call instant.

Method Detail

### getSnapshots

    public BeanCacheSnapshot[] getSnapshots()

  Returns the cache data at the call instant.
  Returns:
    null if a problem is encountered while sampling the cache, otherwise an array (possibly of size 0) with the cache data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.